variable "base_hostname" {
  type = string
  description = "Base hostname to serve content from"
  default = "dev.homelab"
}

variable "consul_address" {
  type    = string
  description = "address of consul server for dynamic scraping"
}

resource "nomad_job" "exporters" {
  hcl2 {
    enabled = true
  }

  jobspec = file("${path.module}/exporters.nomad")
}

resource "nomad_job" "prometheus" {
  hcl2 {
    enabled = true
    vars = {
      "consul_address" = "${var.consul_address}",
    }
  }

  jobspec = file("${path.module}/prometheus.nomad")
}
#
# resource "nomad_job" "prometheus" {
#   hcl2 {
#     enabled = true
#   }
#
# }
#
# resource "nomad_job" "grafana" {
#   hcl2 {
#     enabled = true
#     vars = {
#       "base_hostname" = "${var.base_hostname}",
#     }
#   }
#
# }
