variable "base_hostname" {
  type = string
  description = "Base hostname to serve content from"
  default = "dev.homelab"
}

resource "nomad_job" "mysql-server" {
  hcl2 {
    enabled = true
  }

  jobspec = file("${path.module}/mysql.nomad")
}

resource "nomad_job" "adminer" {
  hcl2 {
    enabled = true
    vars = {
      "base_hostname" = "${var.base_hostname}",
    }
  }

  jobspec = file("${path.module}/adminer.nomad")
}
