variable "base_hostname" {
  type = string
  description = "Base hostname to serve content from"
  default = "dev.homelab"
}

resource "nomad_job" "nextcloud-bootstrap" {
  hcl2 {
    enabled = true
  }

  jobspec = file("${path.module}/nextcloud-bootstrap.nomad")
}

resource "nomad_job" "nextcloud" {
  hcl2 {
    enabled = true
    vars = {
      "base_hostname" = "${var.base_hostname}",
    }
  }

  jobspec = file("${path.module}/nextcloud.nomad")
}
