variable "base_hostname" {
  type = string
  description = "Base hostname to serve content from"
  default = "dev.homelab"
}

variable "consul_address" {
  type = string
  description = "address of consul server for dynamic routes"
}

resource "nomad_job" "traefik" {
  hcl2 {
    enabled = true
    vars = {
      "consul_address" = "${var.consul_address}",
      "base_hostname" = "${var.base_hostname}",
    }
  }

  jobspec = file("${path.module}/traefik.nomad")
}

